Format: https://www.debian.org/doc/packaging-manuals/copyright-format/1.0/
Upstream-Name: qt3d-everywhere-src
Source: https://download.qt.io/archive/qt/*/submodules/
# Files-Excluded: examples/qt3d/audio-visualizer-qml
# audio-visualizer-qml: MP3 file under CC BY-ND 2.0

Files: *
Copyright: 2013 Research In Motion
           2014-2020 Klarälvdalens Datakonsult AB (KDAB)
           2015-2021 The Qt Company Ltd.
           2013 Dmitrii Kosarev aka Kakadu <kakadu.hafanana@gmail.com>
           2015 Konstantin Ritt
           2015 Lorenz Esch (TU Ilmenau)
           2015-2016 Paul Lemire <paul.lemire350@gmail.com>
           2016 Svenn-Arne Dragly
           2017 Juan José Casafranca
           2019 Ford Motor Company
License: LGPL-3 or GPL-2

Files: debian/*
Copyright: 2021 Patrick Franz <deltaone@debian.org>,
           2021 Lu YaNing <dluyaning@gmail.com>
License: LGPL-3 or GPL-2

Files: src/3rdparty/assimp/*
Copyright: 2006-2020 assimp team / ASSIMP Development Team
License: BSD-3-clause

Files: src/3rdparty/assimp/src/cmake/HunterGate.cmake
Copyright: 2013-2019 Ruslan Baratov
License: BSD-2-clause

Files: src/3rdparty/assimp/src/cmake-modules/Coveralls*
Copyright: 2014 Joakim Söderberg <joakim.soderberg@gmail.com>
License: Expat

Files: src/3rdparty/assimp/src/code/AssetLib/M3D/m3d.h
Copyright: 2019 bzt (bztsrc@gitlab)
License: Expat

Files: src/3rdparty/assimp/src/code/Pbrt/stb_image.h
       src/3rdparty/assimp/src/contrib/stb_image/stb_image.h
Copyright: NONE
License: Unlicense

Files: src/3rdparty/assimp/src/contrib/clipper/*
Copyright: 2010-2012 Angus Johnson
License: Boost-1.0

Files: src/3rdparty/assimp/src/contrib/draco/*
Copyright: 2016-2020, The Draco Authors.
License: Apache-2.0

Files: src/3rdparty/assimp/src/contrib/gtest/*
Copyright: 2003-2015, Google Inc.
License: BSD-3-clause

Files: src/3rdparty/assimp/src/contrib/draco/src/draco/tools/fuzz/*
       src/3rdparty/assimp/src/contrib/gtest/scripts/upload.py
Copyright: 2007, 2020, Google Inc.
License: Apache-2.0

Files: src/3rdparty/assimp/src/contrib/Open3DGC/*
Copyright: 2013 Khaled Mammou - Advanced Micro Devices, Inc.
License: Expat

Files: src/3rdparty/assimp/src/contrib/Open3DGC/o3dgcArithmeticCodec.cpp
       src/3rdparty/assimp/src/contrib/Open3DGC/o3dgcArithmeticCodec.h
Copyright: 2004 Amir Said (said@ieee.org) & William A. Pearlman (pearlw@ecse.rpi.edu)
License: BSD-2-clause

Files: src/3rdparty/assimp/src/contrib/openddlparser/*
Copyright: 2014-2020 Kim Kulling
License: Expat

Files: src/3rdparty/assimp/src/contrib/pugixml/*
Copyright: 2006-2020 Arseny Kapoulkine (arseny.kapoulkine@gmail.com)
License: Expat

Files: src/3rdparty/assimp/src/contrib/rapidjson/*
Copyright: 2002 JSON.org
           2006-2013 Alexander Chemeris
           2015 THL A29 Limited, a Tencent company, and Milo Yip.
License: BSD-3-clause and Expat

Files: src/3rdparty/assimp/src/contrib/utf8cpp/*
Copyright: 2006 Nemanja Trifunovic
License: Boost-1.0

Files: src/3rdparty/assimp/src/contrib/zip/*
Copyright: Rich Geldreich (miniz author)
           Kuba Podgórski
License: Unlicense

Files: src/3rdparty/assimp/src/contrib/zlib/*
Copyright: 1995-2017 Jean-loup Gailly and Mark Adler
License: Zlib

Files: src/3rdparty/assimp/src/contrib/zlib/contrib/ada/*
Copyright: 2002-2004 Dmitriy Anisimkov
License: GPL-2

Files: src/3rdparty/assimp/src/contrib/zlib/contrib/dotzlib/*
Copyright: Henrik Ravn 2004
License: Boost-1.0

Files: src/3rdparty/assimp/src/contrib/zlib/contrib/iostream2/*
Copyright: 1997 Christian Michelsen Research AS
License: NTP

Files: src/3rdparty/assimp/src/contrib/zip/cmake/asan-wrapper
Copyright: 2013 Matthew Arsenault
           2015-2016 RWTH Aachen University, Federal Republic of Germany
License: Expat

Files: src/3rdparty/assimp/unzip/unzip.h
Copyright: 1998-2005 Gilles Vollant
License: Zlib

Files: src/3rdparty/imgui/*
Copyright: 2014-2018 Omar Cornut
License: Expat

Files: src/3rdparty/imgui/LICENSE_proggyclean.txt
       src/3rdparty/imgui/imgui_draw.cpp
Copyright: 2004-2005 Tristan Grimmer
           2017 Sean Barrett
           2014-2018 Omar Cornut
License: Expat

Files: src/3rdparty/imgui/imstb_rectpack.h
       src/3rdparty/imgui/imstb_textedit.h
       src/3rdparty/imgui/imstb_truetype.h
Copyright: 2009-2017 Sean Barrett
License: Expat or Unlicense

Files: *.qdoc
Copyright: 2015-2019 Klarälvdalens Datakonsult AB (KDAB)
           2016-2021 The Qt Company Ltd.
License: GFDL-NIV-1.3

Files: examples/*
       src/extras/3dtext/*
       src/extras/defaults/qt3dwindow.cpp
       src/extras/defaults/qt3dwindow.h
       src/extras/shaders/*
       src/quick3d/quick3dextras/qt3dquickwindow.cpp
       src/quick3d/quick3dextras/qt3dquickwindow.h
       tests/manual/*
Copyright: 2014-2019 Klarälvdalens Datakonsult AB (KDAB)
           2016-2020 The Qt Company Ltd.
           2015 Paul Lemire <paul.lemire350@gmail.com>
License: BSD-3-clause


Files: config.tests/*
       src/plugins/renderers/opengl/renderer/frameprofiler_p.h
       src/render/jobs/filterproximitydistancejob*
       tests/auto/*
       tests/benchmarks/Qt3DBench/*
       tests/benchmarks/core/*
       tests/benchmarks/render/*
       tests/manual/cylinder-parent-test/main.cpp
       usecases/*
Copyright: 2013 Research In Motion.
           2014-2020 Klarälvdalens Datakonsult AB (KDAB)
           2016-2017 The Qt Company Ltd and/or its subsidiary(-ies)
           2013 Dmitrii Kosarev aka Kakadu <kakadu.hafanana@gmail.com>
           2015-2016 Paul Lemire <paul.lemire350@gmail.com>
License: GPL-3 with Qt-1.0 exception

Files: tests/manual/anim-viewer/*
       tests/manual/deferred-renderer-cpp/sceneentity.*
       tests/manual/deferred-renderer-cpp/screenquadentity.*
       tests/manual/deferred-renderer-qml/GBufferDebugger.qml
       tests/manual/deferred-renderer-qml/SceneEntity.qml
       tests/manual/deferred-renderer-qml/ScreenQuadEntity.qml
       tests/manual/manual-renderloop/main.cpp
       tests/manual/mesh-morphing/main.cpp
       tests/manual/qtbug-76766/*
       tests/manual/render-qml-to-texture/*
       tests/manual/render-qml-to-texture-qml/*
       tests/manual/video-texture-qml/*
Copyright: 2016-2017 The Qt Company Ltd.
           2014-2019 Klarälvdalens Datakonsult AB (KDAB)
License: LGPL-3 or GPL-2

Files: tests/auto/extras/qtext2dentity/*
       tests/auto/global/aspects_startup_shutdown/tst_aspects_startup_shutdown.cpp
       tests/auto/render/*.qml
Copyright: 2019 The Qt Company Ltd.
           2016-2021 Klarälvdalens Datakonsult AB (KDAB)
License: BSD-3-clause

Files: examples/qt3d/exampleresources/assets/cubemaps/miramar/*
Copyright: 2005 Jockum Skoglund <hipshot@zfight.com>
License: miramar
 Modify however you like, just cred me for my work, maybe link to my page.

Files: examples/qt3d/exampleresources/assets/gltf/*
Copyright: 2012 Motorola Mobility, Inc.
License: BSD-3-clause

Files: examples/qt3d/exampleresources/assets/obj/material-sphere.obj
Copyright: 2016 Allegorithmic
License: CC-BY-4.0

Files: examples/qt3d/planets-qml/images/nasa/*
Copyright: 1996 Jet Propulsion Laboratory
License: NASA-JPL-ImagePolicy

Files: examples/qt3d/planets-qml/images/solarsystemscope/*
Copyright: 2010-2017 Solar System Scope
License: CC-BY-4.0

Files: examples/qt3d/wave/shaders/ribbon.vert
Copyright: 2011 Ashima Arts
License: Expat

License: LGPL-3
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU Lesser General Public License version 3
 as published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU Lesser General Public License for more details.
 .
 On Debian systems, the complete text of the GNU Lesser General Public
 License version 3 can be found in /usr/share/common-licenses/LGPL-3.

License: GPL-2
 This program is free software; you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 2 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public
 License version 2 can be found in /usr/share/common-licenses/GPL-2.

License: GFDL-NIV-1.3
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3
 or any later version published by the Free Software Foundation;
 with no Invariant Sections, no Front-Cover Texts, and no Back-Cover Texts.
 .
 On Debian systems, the complete text of the GNU Free Documentation License,
 version 1.3 can be found in /usr/share/common-licenses/GFDL-1.3.

License: BSD-3-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions are met:
 .
  - Redistributions of source code must retain the above copyright notice,
    this list of conditions and the following disclaimer.
  - Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.
  - Neither the name of The Qt Company Ltd and its Subsidiary(-ies) nor the
    names of its contributors may be used to endorse or promote products
    derived from this software without specific prior written permission.
 .
 THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS"
 AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
 IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
 ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT OWNER OR CONTRIBUTORS BE
 LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR
 CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF
 SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS
 INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN
 CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE)
 ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE
 POSSIBILITY OF SUCH DAMAGE.

License: GPL-3 with Qt-1.0 exception
 This program is free software: you can redistribute it and/or modify
 it under the terms of the GNU General Public License version 3 as
 published by the Free Software Foundation.
 .
 This program is distributed in the hope that it will be useful,
 but WITHOUT ANY WARRANTY; without even the implied warranty of
 MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 GNU General Public License for more details.
 .
 On Debian systems, the complete text of the GNU General Public License
 version 3 can be found in /usr/share/common-licenses/GPL-3.
 .
 The Qt Company GPL Exception 1.0
 Exception 1:
 .
 As a special exception you may create a larger work which contains the
 output of this application and distribute that work under terms of your
 choice, so long as the work is not otherwise derived from or based on
 this application and so long as the work does not in itself generate
 output that contains the output from this application in its original
 or modified form.
 .
 Exception 2:
 .
 As a special exception, you have permission to combine this application
 with Plugins licensed under the terms of your choice, to produce an
 executable, and to copy and distribute the resulting executable under
 the terms of your choice. However, the executable must be accompanied
 by a prominent notice offering all users of the executable the entire
 source code to this application, excluding the source code of the
 independent modules, but including any changes you have made to this
 application, under the terms of this license.

License: Expat
 Permission is hereby granted, free of charge, to any person obtaining a copy
 of this software and associated documentation files (the "Software"), to deal
 in the Software without restriction, including without limitation the rights
 to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
 copies of the Software, and to permit persons to whom the Software is
 furnished to do so, subject to the following conditions:
 .
 The above copyright notice and this permission notice shall be included in
 all copies or substantial portions of the Software.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
 OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
 THE SOFTWARE.

License: NASA-JPL-ImagePolicy
 JPL Image Use Policy
 .
 Unless otherwise noted, images and video on JPL public web sites (public sites
 ending with a jpl.nasa.gov address) may be used for any purpose without prior
 permission, subject to the special cases noted below. Publishers who wish to
 have authorization may print this page and retain it for their records; JPL
 does not issue image permissions on an image by image basis.
 .
 By electing to download the material from this web site the user agrees:
 .
 1. that Caltech makes no representations or warranties with respect to
    ownership of copyrights in the images, and does not represent others who
    may claim to be authors or owners of copyright of any of the images, and
    makes no warranties as to the quality of the images. Caltech shall not be
    responsible for any loss or expenses resulting from the use of the images,
    and you release and hold Caltech harmless from all liability arising from
    such use.
 2. to use a credit line in connection with images. Unless otherwise noted in
    the caption information for an image, the credit line should be "Courtesy
    NASA/JPL-Caltech."
 3. that the endorsement of any product or service by Caltech, JPL or NASA
    must not be claimed or implied.
 .
 Special Cases:
 .
 * Prior written approval must be obtained to use the NASA insignia logo (the
   blue "meatball" insignia), the NASA logotype (the red "worm" logo) and the
   NASA seal. These images may not be used by persons who are not NASA employees
   or on products (including Web pages) that are not NASA sponsored. In
   addition, no image may be used to explicitly or implicitly suggest
   endorsement by NASA, JPL or Caltech of commercial goods or services. Requests
   to use NASA logos may be directed to Bert Ulrich, Public Services Division,
   NASA Headquarters, Code POS, Washington, DC 20546, telephone (202) 358-1713,
   fax (202) 358-4331, email bert.ulrich@hq.nasa.gov.
 * Prior written approval must be obtained to use the JPL logo (stylized JPL
   letters in red or other colors). Requests to use the JPL logo may be directed
   to the Institutional Communications Office, email instcomm@jpl.nasa.gov.
 * If an image includes an identifiable person, using the image for commercial
   purposes may infringe that person's right of privacy or publicity, and
   permission should be obtained from the person. NASA and JPL generally do not
   permit likenesses of current employees to appear on commercial products. For
   more information, consult the NASA and JPL points of contact listed above.
 * JPL/Caltech contractors and vendors who wish to use JPL images in advertising
   or public relation materials should direct requests to the Institutional
   Communications Office, email instcomm@jpl.nasa.gov.
 * Some image and video materials on JPL public web sites are owned by
   organizations other than JPL or NASA. These owners have agreed to make their
   images and video available for journalistic, educational and personal uses,
   but restrictions are placed on commercial uses. To obtain permission for
   commercial use, contact the copyright owner listed in each image caption.
   Ownership of images and video by parties other than JPL and NASA is noted
   in the caption material with each image.

License: CC-BY-4.0
 Creative Commons Attribution 4.0 International Public License
 .
 By exercising the Licensed Rights (defined below), You accept and agree
 to be bound by the terms and conditions of this Creative Commons
 Attribution 4.0 International Public License ("Public License"). To the
 extent this Public License may be interpreted as a contract, You are
 granted the Licensed Rights in consideration of Your acceptance of
 these terms and conditions, and the Licensor grants You such rights in
 consideration of benefits the Licensor receives from making the
 Licensed Material available under these terms and conditions.
 .
 Section 1 -- Definitions.
 .
  a. Adapted Material means material subject to Copyright and Similar
     Rights that is derived from or based upon the Licensed Material
     and in which the Licensed Material is translated, altered,
     arranged, transformed, or otherwise modified in a manner requiring
     permission under the Copyright and Similar Rights held by the
     Licensor. For purposes of this Public License, where the Licensed
     Material is a musical work, performance, or sound recording,
     Adapted Material is always produced where the Licensed Material is
     synched in timed relation with a moving image.
 .
  b. Adapter's License means the license You apply to Your Copyright
     and Similar Rights in Your contributions to Adapted Material in
     accordance with the terms and conditions of this Public License.
 .
  c. Copyright and Similar Rights means copyright and/or similar rights
     closely related to copyright including, without limitation,
     performance, broadcast, sound recording, and Sui Generis Database
     Rights, without regard to how the rights are labeled or
     categorized. For purposes of this Public License, the rights
     specified in Section 2(b)(1)-(2) are not Copyright and Similar
     Rights.
 .
  d. Effective Technological Measures means those measures that, in the
     absence of proper authority, may not be circumvented under laws
     fulfilling obligations under Article 11 of the WIPO Copyright
     Treaty adopted on December 20, 1996, and/or similar international
     agreements.
 .
  e. Exceptions and Limitations means fair use, fair dealing, and/or
     any other exception or limitation to Copyright and Similar Rights
     that applies to Your use of the Licensed Material.
 .
  f. Licensed Material means the artistic or literary work, database,
     or other material to which the Licensor applied this Public
     License.
 .
  g. Licensed Rights means the rights granted to You subject to the
     terms and conditions of this Public License, which are limited to
     all Copyright and Similar Rights that apply to Your use of the
     Licensed Material and that the Licensor has authority to license.
 .
  h. Licensor means the individual(s) or entity(ies) granting rights
     under this Public License.
 .
  i. Share means to provide material to the public by any means or
     process that requires permission under the Licensed Rights, such
     as reproduction, public display, public performance, distribution,
     dissemination, communication, or importation, and to make material
     available to the public including in ways that members of the
     public may access the material from a place and at a time
     individually chosen by them.
 .
  j. Sui Generis Database Rights means rights other than copyright
     resulting from Directive 96/9/EC of the European Parliament and of
     the Council of 11 March 1996 on the legal protection of databases,
     as amended and/or succeeded, as well as other essentially
     equivalent rights anywhere in the world.
 .
  k. You means the individual or entity exercising the Licensed Rights
     under this Public License. Your has a corresponding meaning.
 .
 Section 2 -- Scope.
 .
  a. License grant.
 .
       1. Subject to the terms and conditions of this Public License,
          the Licensor hereby grants You a worldwide, royalty-free,
          non-sublicensable, non-exclusive, irrevocable license to
          exercise the Licensed Rights in the Licensed Material to:
 .
            a. reproduce and Share the Licensed Material, in whole or
               in part; and
 .
            b. produce, reproduce, and Share Adapted Material.
 .
       2. Exceptions and Limitations. For the avoidance of doubt, where
          Exceptions and Limitations apply to Your use, this Public
          License does not apply, and You do not need to comply with
          its terms and conditions.
 .
       3. Term. The term of this Public License is specified in Section
          6(a).
 .
       4. Media and formats; technical modifications allowed. The
          Licensor authorizes You to exercise the Licensed Rights in
          all media and formats whether now known or hereafter created,
          and to make technical modifications necessary to do so. The
          Licensor waives and/or agrees not to assert any right or
          authority to forbid You from making technical modifications
          necessary to exercise the Licensed Rights, including
          technical modifications necessary to circumvent Effective
          Technological Measures. For purposes of this Public License,
          simply making modifications authorized by this Section 2(a)
          (4) never produces Adapted Material.
 .
       5. Downstream recipients.
 .
            a. Offer from the Licensor -- Licensed Material. Every
               recipient of the Licensed Material automatically
               receives an offer from the Licensor to exercise the
               Licensed Rights under the terms and conditions of this
               Public License.
 .
            b. No downstream restrictions. You may not offer or impose
               any additional or different terms or conditions on, or
               apply any Effective Technological Measures to, the
               Licensed Material if doing so restricts exercise of the
               Licensed Rights by any recipient of the Licensed
               Material.
 .
       6. No endorsement. Nothing in this Public License constitutes or
          may be construed as permission to assert or imply that You
          are, or that Your use of the Licensed Material is, connected
          with, or sponsored, endorsed, or granted official status by,
          the Licensor or others designated to receive attribution as
          provided in Section 3(a)(1)(A)(i).
 .
  b. Other rights.
 .
       1. Moral rights, such as the right of integrity, are not
          licensed under this Public License, nor are publicity,
          privacy, and/or other similar personality rights; however, to
          the extent possible, the Licensor waives and/or agrees not to
          assert any such rights held by the Licensor to the limited
          extent necessary to allow You to exercise the Licensed
          Rights, but not otherwise.
 .
       2. Patent and trademark rights are not licensed under this
          Public License.
 .
       3. To the extent possible, the Licensor waives any right to
          collect royalties from You for the exercise of the Licensed
          Rights, whether directly or through a collecting society
          under any voluntary or waivable statutory or compulsory
          licensing scheme. In all other cases the Licensor expressly
          reserves any right to collect such royalties.
 .
 Section 3 -- License Conditions.
 .
 Your exercise of the Licensed Rights is expressly made subject to the
 following conditions.
 .
  a. Attribution.
 .
       1. If You Share the Licensed Material (including in modified
          form), You must:
 .
            a. retain the following if it is supplied by the Licensor
               with the Licensed Material:
 .
                 i. identification of the creator(s) of the Licensed
                    Material and any others designated to receive
                    attribution, in any reasonable manner requested by
                    the Licensor (including by pseudonym if
                    designated);
 .
                ii. a copyright notice;
 .
               iii. a notice that refers to this Public License;
 .
                iv. a notice that refers to the disclaimer of
                    warranties;
 .
                 v. a URI or hyperlink to the Licensed Material to the
                    extent reasonably practicable;
 .
            b. indicate if You modified the Licensed Material and
               retain an indication of any previous modifications; and
 .
            c. indicate the Licensed Material is licensed under this
               Public License, and include the text of, or the URI or
               hyperlink to, this Public License.
 .
       2. You may satisfy the conditions in Section 3(a)(1) in any
          reasonable manner based on the medium, means, and context in
          which You Share the Licensed Material. For example, it may be
          reasonable to satisfy the conditions by providing a URI or
          hyperlink to a resource that includes the required
          information.
 .
       3. If requested by the Licensor, You must remove any of the
          information required by Section 3(a)(1)(A) to the extent
          reasonably practicable.
 .
       4. If You Share Adapted Material You produce, the Adapter's
          License You apply must not prevent recipients of the Adapted
          Material from complying with this Public License.
 .
 Section 4 -- Sui Generis Database Rights.
 .
 Where the Licensed Rights include Sui Generis Database Rights that
 apply to Your use of the Licensed Material:
 .
  a. for the avoidance of doubt, Section 2(a)(1) grants You the right
     to extract, reuse, reproduce, and Share all or a substantial
     portion of the contents of the database;
 .
  b. if You include all or a substantial portion of the database
     contents in a database in which You have Sui Generis Database
     Rights, then the database in which You have Sui Generis Database
     Rights (but not its individual contents) is Adapted Material; and
 .
  c. You must comply with the conditions in Section 3(a) if You Share
     all or a substantial portion of the contents of the database.
 .
 For the avoidance of doubt, this Section 4 supplements and does not
 replace Your obligations under this Public License where the Licensed
 Rights include other Copyright and Similar Rights.
 .
 Section 5 -- Disclaimer of Warranties and Limitation of Liability.
 .
  a. UNLESS OTHERWISE SEPARATELY UNDERTAKEN BY THE LICENSOR, TO THE
     EXTENT POSSIBLE, THE LICENSOR OFFERS THE LICENSED MATERIAL AS-IS
     AND AS-AVAILABLE, AND MAKES NO REPRESENTATIONS OR WARRANTIES OF
     ANY KIND CONCERNING THE LICENSED MATERIAL, WHETHER EXPRESS,
     IMPLIED, STATUTORY, OR OTHER. THIS INCLUDES, WITHOUT LIMITATION,
     WARRANTIES OF TITLE, MERCHANTABILITY, FITNESS FOR A PARTICULAR
     PURPOSE, NON-INFRINGEMENT, ABSENCE OF LATENT OR OTHER DEFECTS,
     ACCURACY, OR THE PRESENCE OR ABSENCE OF ERRORS, WHETHER OR NOT
     KNOWN OR DISCOVERABLE. WHERE DISCLAIMERS OF WARRANTIES ARE NOT
     ALLOWED IN FULL OR IN PART, THIS DISCLAIMER MAY NOT APPLY TO YOU.
 .
  b. TO THE EXTENT POSSIBLE, IN NO EVENT WILL THE LICENSOR BE LIABLE
     TO YOU ON ANY LEGAL THEORY (INCLUDING, WITHOUT LIMITATION,
     NEGLIGENCE) OR OTHERWISE FOR ANY DIRECT, SPECIAL, INDIRECT,
     INCIDENTAL, CONSEQUENTIAL, PUNITIVE, EXEMPLARY, OR OTHER LOSSES,
     COSTS, EXPENSES, OR DAMAGES ARISING OUT OF THIS PUBLIC LICENSE OR
     USE OF THE LICENSED MATERIAL, EVEN IF THE LICENSOR HAS BEEN
     ADVISED OF THE POSSIBILITY OF SUCH LOSSES, COSTS, EXPENSES, OR
     DAMAGES. WHERE A LIMITATION OF LIABILITY IS NOT ALLOWED IN FULL OR
     IN PART, THIS LIMITATION MAY NOT APPLY TO YOU.
 .
  c. The disclaimer of warranties and limitation of liability provided
     above shall be interpreted in a manner that, to the extent
     possible, most closely approximates an absolute disclaimer and
     waiver of all liability.
 .
 Section 6 -- Term and Termination.
 .
  a. This Public License applies for the term of the Copyright and
     Similar Rights licensed here. However, if You fail to comply with
     this Public License, then Your rights under this Public License
     terminate automatically.
 .
  b. Where Your right to use the Licensed Material has terminated under
     Section 6(a), it reinstates:
 .
       1. automatically as of the date the violation is cured, provided
          it is cured within 30 days of Your discovery of the
          violation; or
 .
       2. upon express reinstatement by the Licensor.
 .
     For the avoidance of doubt, this Section 6(b) does not affect any
     right the Licensor may have to seek remedies for Your violations
     of this Public License.
 .
  c. For the avoidance of doubt, the Licensor may also offer the
     Licensed Material under separate terms or conditions or stop
     distributing the Licensed Material at any time; however, doing so
     will not terminate this Public License.
 .
  d. Sections 1, 5, 6, 7, and 8 survive termination of this Public
     License.
 .
 Section 7 -- Other Terms and Conditions.
 .
  a. The Licensor shall not be bound by any additional or different
     terms or conditions communicated by You unless expressly agreed.
 .
  b. Any arrangements, understandings, or agreements regarding the
     Licensed Material not stated herein are separate from and
     independent of the terms and conditions of this Public License.
 .
 Section 8 -- Interpretation.
 .
  a. For the avoidance of doubt, this Public License does not, and
     shall not be interpreted to, reduce, limit, restrict, or impose
     conditions on any use of the Licensed Material that could lawfully
     be made without permission under this Public License.
 .
  b. To the extent possible, if any provision of this Public License is
     deemed unenforceable, it shall be automatically reformed to the
     minimum extent necessary to make it enforceable. If the provision
     cannot be reformed, it shall be severed from this Public License
     without affecting the enforceability of the remaining terms and
     conditions.
 .
  c. No term or condition of this Public License will be waived and no
     failure to comply consented to unless expressly agreed to by the
     Licensor.
 .
  d. Nothing in this Public License constitutes or may be interpreted
     as a limitation upon, or waiver of, any privileges and immunities
     that apply to the Licensor or You, including from the legal
     processes of any jurisdiction or authority.

License: Zlib
 This software is provided 'as-is', without any express or implied
 warranty.  In no event will the authors be held liable for any damages
 arising from the use of this software.
 .
 Permission is granted to anyone to use this software for any purpose,
 including commercial applications, and to alter it and redistribute it
 freely, subject to the following restrictions:
 .
 1. The origin of this software must not be misrepresented; you must not
    claim that you wrote the original software. If you use this software
    in a product, an acknowledgment in the product documentation would be
    appreciated but is not required.
 .
 2. Altered source versions must be plainly marked as such, and must not be
    misrepresented as being the original software.
 .
 3. This notice may not be removed or altered from any source distribution.

License: Unlicense
 This is free and unencumbered software released into the public domain.
 Anyone is free to copy, modify, publish, use, compile, sell, or distribute this
 software, either in source code form or as a compiled binary, for any purpose,
 commercial or non-commercial, and by any means.
 .
 In jurisdictions that recognize copyright laws, the author or authors of this
 software dedicate any and all copyright interest in the software to the public
 domain. We make this dedication for the benefit of the public at large and to
 the detriment of our heirs and successors. We intend this dedication to be an
 overt act of relinquishment in perpetuity of all present and future rights to
 this software under copyright law.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
 AUTHORS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY, WHETHER IN AN
 ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM, OUT OF OR IN CONNECTION
 WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE SOFTWARE.

License: Boost-1.0
 Boost Software License - Version 1.0 - August 17th, 2003
 http://www.boost.org/LICENSE_1_0.txt
 .
 Permission is hereby granted, free of charge, to any person or organization
 obtaining a copy of the software and accompanying documentation covered by
 this license (the "Software") to use, reproduce, display, distribute,
 execute, and transmit the Software, and to prepare derivative works of the
 Software, and to permit third-parties to whom the Software is furnished to
 do so, all subject to the following:
 .
 The copyright notices in the Software and this entire statement, including
 the above license grant, this restriction and the following disclaimer,
 must be included in all copies of the Software, in whole or in part, and
 all derivative works of the Software, unless such copies or derivative
 works are solely in the form of machine-executable object code generated by
 a source language processor.
 .
 THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
 IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 FITNESS FOR A PARTICULAR PURPOSE, TITLE AND NON-INFRINGEMENT. IN NO EVENT
 SHALL THE COPYRIGHT HOLDERS OR ANYONE DISTRIBUTING THE SOFTWARE BE LIABLE
 FOR ANY DAMAGES OR OTHER LIABILITY, WHETHER IN CONTRACT, TORT OR OTHERWISE,
 ARISING FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 DEALINGS IN THE SOFTWARE.

License: BSD-2-clause
 Redistribution and use in source and binary forms, with or without
 modification, are permitted provided that the following conditions
 are met:
 1. Redistributions of source code must retain the above copyright
    notice, this list of conditions and the following disclaimer.
 2. Redistributions in binary form must reproduce the above copyright
    notice, this list of conditions and the following disclaimer in the
    documentation and/or other materials provided with the distribution.

License: NTP
 Permission to use, copy, modify, distribute and sell this software
 and its documentation for any purpose is hereby granted without fee,
 provided that the above copyright notice appear in all copies and
 that both that copyright notice and this permission notice appear
 in supporting documentation. Christian Michelsen Research AS makes no
 representations about the suitability of this software for any
 purpose. It is provided "as is" without express or implied warranty.

License: Apache-2.0
 Licensed under the Apache License, Version 2.0 (the "License");
 you may not use this file except in compliance with the License.
 You may obtain a copy of the License at
 .
     http://www.apache.org/licenses/LICENSE-2.0
 .
 Unless required by applicable law or agreed to in writing, software
 distributed under the License is distributed on an "AS IS" BASIS,
 WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 See the License for the specific language governing permissions and
 limitations under the License.
 .
 On Debian systems, the complete text of the Apache License 2.0 can
 be found in "/usr/share/common-licenses/Apache-2.0"
